function add_skill008() --暮菖兰 

m=global.GetGameStat()
n=player.GetLevel(8)
    
    
--    if n==2 then
--    ui.ShowHelpDlg(4505)
--    end
    
--    if n==2 then
--    
--	    player.AddMagic(75)
--	    ui.Message(70022)--习得绝技：落梅剑--暮菖兰习得绝技：落梅剑
--    
--    else
	if n==10 then

	    player.AddMagic(76)
	    ui.Message(70023)--习得绝技：乘莲踏--暮菖兰习得绝技：乘莲踏
    
    elseif n==20 then

	    player.AddMagic(77)
	    
	    if m==2 then
	    ui.Message(70024)--习得绝技：千卉挽岚--暮菖兰习得绝技：千卉挽岚
	    end
    
    
    elseif n==30 and flag.GetValue(33555)==5 then

	    player.AddMagic(78)
	    player.AddMagic(3031)--兰
	    if m==2 then
	    ui.Message(70025)--习得绝技：浮香掠影--暮菖兰习得绝技：浮香掠影 
		ui.Message(170701)--暮菖兰习得被动绝技：兰
	    end

    elseif n==33 then

	    player.AddMagic(3049)
	    if m==2 then
	    ui.Message(170754)--暮菖兰习得绝技：真·乘莲踏 
	    end
    
    
    elseif n==40 then
	    if m==2 then
	    ui.Message(70026)--习得绝技：皓华燕芳诀--暮菖兰习得绝技：皓华燕芳诀
	    end
	    player.AddMagic(79)


	end

end